var mongooseCache = require('./mongoose.js');

var inited = false;

exports.init = function (mongoose) {
  if (inited) return;
  inited = true;

  mongooseCache(mongoose);
  exports.Activity = require('./models/activity.js');
  exports.ApiCustomer = require('./models/api_customer.js');
  exports.ApiEvent = require('./models/api_event.js');
  exports.Domain = require('./models/domain.js');
  exports.Event = require('./models/event.js');
  exports.Receipt = require('./models/receipt.js');
  exports.Recipe = require('./models/recipe.js');
  exports.SentEmail = require('./models/sent_email.js');
  exports.Template = require('./models/template.js');
  exports.TriggeredRecipe = require('./models/triggered_recipe.js');
  exports.User = require('./models/user.js');
}
