var mongoose = require('../mongoose.js')();

var schema = new mongoose.Schema({
  name: {
    type: String,
    require: true
  },
  customerId: {
    type: String,
    require: true
  },
  userId: {
    type: mongoose.Schema.ObjectId,
    require: true
  },
  created: { type: Date, default: Date.now }
});

module.exports = mongoose.model('ApiEvent', schema, 'api_events');
