var mongoose = require('../mongoose.js')();

var schema = new mongoose.Schema({
    date: { type: Date, default: Date.now, required: true },
    amount: { type: String, required: true },
    userId: { type: mongoose.Schema.ObjectId, required: true },
    comment: { type: String, required: true },
    data: Object
}, {
    versionKey: false
});

module.exports = mongoose.model('Receipt', schema);
